Bug 699381 - Add the ability to create alerts on "HTTP Response Time"
Add the ability to create alerts on "HTTP Response Time"
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
3.0.1
All All
urgent Severity medium (vote)
: ---
: RHQ 4.3.0
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-25 09:13 EDT by dsteigne
Modified: 2013-08-31 05:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 05:56:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
image showing the ability to create alert on calltime metric for HTTP response (18.49 KB, image/png)
2011-12-13 14:01 EST, Mike Foley
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker PRODMGT-58 None Closed Need HTTP Response Time exposed to the alert subsystem so alerts can be defined based on a static or threshold value 2011-12-21 11:57:04 EST

  None (edit)
Description dsteigne 2011-04-25 09:13:45 EDT
Description of problem:
"HTTP Response Time" on Apache servers is a CALLTIME metric, but would it be possible to allow this to be used in Alert Conditions.

Version-Release number of selected component (if applicable):
2.4.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 9 Mike Foley 2011-12-13 16:42:45 EST
This feature is implemented and tested to be working in RHQ 4.3.  

Additional Notes:

1) Calltime or response metrics need to be enabled.  Schedules .... enable HTTP Response Time.  

2) for Apache ... you need to install additional software RtFilter.

Note You need to log in before you can comment on or make changes to this bug.